package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/23
 */
public class ClassDateAdjustDto extends CourseSchedule {

    @ApiModelProperty(value = "课时调整有效时段开始时间",required = false)
    private Date adjustStartTime;

    @ApiModelProperty(value = "课时调整有效时段结束时间",required = false)
    private Date adjustEndTime;

    @ApiModelProperty(value = "星期几",required = false)
    private Integer weekNum;

    public Integer getWeekNum() {
        return weekNum;
    }

    public void setWeekNum(Integer weekNum) {
        this.weekNum = weekNum;
    }

    public Date getAdjustStartTime() {
        return adjustStartTime;
    }

    public void setAdjustStartTime(Date adjustStartTime) {
        this.adjustStartTime = adjustStartTime;
    }

    public Date getAdjustEndTime() {
        return adjustEndTime;
    }

    public void setAdjustEndTime(Date adjustEndTime) {
        this.adjustEndTime = adjustEndTime;
    }
}
